Summary:       A lightweight configuration file parsing library
Name:          liblcfg
Version:       0.2.0
Release:       1%{?dist}%{?pext}
License:       GPL
Group:         System Environment/Libraries
Source0:       http://%{name}.carnivore.it/files/%{name}-%{version}.tar.gz
Patch0:        %{name}-0.2.0-paths.patch
URL:           http://%{name}.carnivore.it/
Buildroot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:        Paul Baecher <pbaecher@gmail.com>

%description
Liblcfg is a lightweight configuration file parsing library written in C99.
The supported file format allows for arbitrarily nested simple assignments,
lists and maps (aka dictionaries).


%package       devel
Summary:       Development tools for %{name}
Group:         Development/Libraries
Requires:      %{name} = %{version}-%{release}

%description   devel
The %{name}-devel package contains the static libraries and header files
for developing software using %{name}.


%prep
%setup -q
%patch0 -p1


%build
%configure \
	--enable-static \
	--enable-shared \
	--enable-lfs

%{__make} %{?_smp_mflags}


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_prefix}

%{__make} \
	DESTDIR=${RPM_BUILD_ROOT} \
	install

%{__rm} -f ${RPM_BUILD_ROOT}%{_libdir}/%{name}.so.?


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%{_libdir}/%{name}.so.*

%files devel
%defattr(-,root,root)
%{_bindir}/lcfg
%{_includedir}/lcfg
%{_includedir}/lcfgx
%{_libdir}/%{name}.*a
%{_libdir}/%{name}.so


%changelog
* Fri Aug 05 2011 Peter Pramberger <peterpramb@member.fsf.org> - 0.2.0-1
- Initial build
